<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: combust_mduc_data Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">combust_mduc_data Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__mduc__data_1_1mduc__a__.html">mduc_a_</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">type &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcombust__mduc__data_1_1mduc__t.html">mduc_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:ac6c11499a49b6879f098c355d39d09b4"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#ac6c11499a49b6879f098c355d39d09b4">initialize_mduc_struct</a> (mduc_in)</td></tr>
<tr class="separator:ac6c11499a49b6879f098c355d39d09b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd82e13356cf913625800c2af08abbeb"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#abd82e13356cf913625800c2af08abbeb">initialize_mduc_array</a> (mduc_a, n_mduc)</td></tr>
<tr class="separator:abd82e13356cf913625800c2af08abbeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e4e8a4c778c996add3cf94be1ec2f7d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a7e4e8a4c778c996add3cf94be1ec2f7d">set_default_mduc</a> (mduc_in)</td></tr>
<tr class="separator:a7e4e8a4c778c996add3cf94be1ec2f7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af062877ca87509849017342d36bc76a6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#af062877ca87509849017342d36bc76a6">destroy_mduc</a> (mduc_in)</td></tr>
<tr class="separator:af062877ca87509849017342d36bc76a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecc79c7d93602807535bb75d302aa95d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#aecc79c7d93602807535bb75d302aa95d">destroy_mduc_array</a> (mduc_a)</td></tr>
<tr class="separator:aecc79c7d93602807535bb75d302aa95d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a604b7254ecd7e00f3845ebd587424e1c"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a604b7254ecd7e00f3845ebd587424e1c">max_mduc_dim</a> = 2</td></tr>
<tr class="separator:a604b7254ecd7e00f3845ebd587424e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad39aad0b699d1f91f060fdae554093ec"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#ad39aad0b699d1f91f060fdae554093ec">type_mduc_no_soot</a> = 0</td></tr>
<tr class="separator:ad39aad0b699d1f91f060fdae554093ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eb25b26e0964d20487dec40f7100137"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a5eb25b26e0964d20487dec40f7100137">type_mduc_1d_soot</a> = 1</td></tr>
<tr class="separator:a5eb25b26e0964d20487dec40f7100137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6d9657b8e60388fb1c860b4404a227"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#ada6d9657b8e60388fb1c860b4404a227">type_mduc_2d_soot</a> = 2</td></tr>
<tr class="separator:ada6d9657b8e60388fb1c860b4404a227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888014798f736e39ca01c20f9e6289af"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a888014798f736e39ca01c20f9e6289af">type_2dmduc_no_transf</a> = 0</td></tr>
<tr class="separator:a888014798f736e39ca01c20f9e6289af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c2d48c191f0bef03dc46a3a883e279b"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a3c2d48c191f0bef03dc46a3a883e279b">type_2dmduc_doran_transf</a> = 1</td></tr>
<tr class="separator:a3c2d48c191f0bef03dc46a3a883e279b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b6768ed7de7b63aa425e345e062f5dd"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a8b6768ed7de7b63aa425e345e062f5dd">type_2dmduc_hasse_transf</a> = 2</td></tr>
<tr class="separator:a8b6768ed7de7b63aa425e345e062f5dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce8a38cfd954173d97008d3c4264695"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a7ce8a38cfd954173d97008d3c4264695">type_mduc_chi_f_log</a> = 1</td></tr>
<tr class="separator:a7ce8a38cfd954173d97008d3c4264695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a41a37f6cfb6b64b386382714c912a8"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a9a41a37f6cfb6b64b386382714c912a8">type_mduc_chi_f_erfc</a> = 2</td></tr>
<tr class="separator:a9a41a37f6cfb6b64b386382714c912a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2028c9d33a2cff175a60347258133767"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a2028c9d33a2cff175a60347258133767">type_mduc_chi_f_quad</a> = 3</td></tr>
<tr class="separator:a2028c9d33a2cff175a60347258133767"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99dfa985081969ca1fd23aad3836eb"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#abe99dfa985081969ca1fd23aad3836eb">type_global_flamelet</a> = 1</td></tr>
<tr class="separator:abe99dfa985081969ca1fd23aad3836eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb9c79dbf9216e33f27282826c7913aa"><td class="memItemLeft" align="right" valign="top">integer, parameter&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#aeb9c79dbf9216e33f27282826c7913aa">type_local_flamelet</a> = 2</td></tr>
<tr class="separator:aeb9c79dbf9216e33f27282826c7913aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3657aaa07cc7e19f636a597e3bf50aec"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a3657aaa07cc7e19f636a597e3bf50aec">type_pdf_beta</a> = 0</td></tr>
<tr class="separator:a3657aaa07cc7e19f636a597e3bf50aec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a352c318533e2f6d8100a2c3746ca60ed"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a352c318533e2f6d8100a2c3746ca60ed">type_pdf_sml</a> = 1</td></tr>
<tr class="separator:a352c318533e2f6d8100a2c3746ca60ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c7b359d412d469c21f99632aa9ff31c"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a1c7b359d412d469c21f99632aa9ff31c">type_pdf_gauss</a> = 2</td></tr>
<tr class="separator:a1c7b359d412d469c21f99632aa9ff31c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d3be53c267021d8be101c76fc012d25"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a0d3be53c267021d8be101c76fc012d25">type_pdf_log</a> = 3</td></tr>
<tr class="separator:a0d3be53c267021d8be101c76fc012d25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac63b383560e8062531d76f237facb12a"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#ac63b383560e8062531d76f237facb12a">type_pdf_dirichlet</a> = 4</td></tr>
<tr class="separator:ac63b383560e8062531d76f237facb12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23c842a76d66f9259005d3d50625406b"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a23c842a76d66f9259005d3d50625406b">type_pdf_jbeta</a> = 5</td></tr>
<tr class="separator:a23c842a76d66f9259005d3d50625406b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20b3f2fb1548ec89f318f46c8c034e8b"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a20b3f2fb1548ec89f318f46c8c034e8b">type_pdf_independent_beta</a> = 6</td></tr>
<tr class="separator:a20b3f2fb1548ec89f318f46c8c034e8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8752e8a22e25f876f93fd66640579795"><td class="memItemLeft" align="right" valign="top">integer, parameter, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacecombust__mduc__data.html#a8752e8a22e25f876f93fd66640579795">type_pdf_independent_sml</a> = 7</td></tr>
<tr class="separator:a8752e8a22e25f876f93fd66640579795"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="af062877ca87509849017342d36bc76a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af062877ca87509849017342d36bc76a6">&#9670;&nbsp;</a></span>destroy_mduc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_mduc_data::destroy_mduc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcombust__mduc__data_1_1mduc__t.html">mduc_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>mduc_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombust__mduc__data_af062877ca87509849017342d36bc76a6_icgraph.png" border="0" usemap="#namespacecombust__mduc__data_af062877ca87509849017342d36bc76a6_icgraph" alt=""/></div>
<map name="namespacecombust__mduc__data_af062877ca87509849017342d36bc76a6_icgraph" id="namespacecombust__mduc__data_af062877ca87509849017342d36bc76a6_icgraph">
<area shape="rect" id="node2" href="namespacecombust__mduc__interface.html#a70f7ef8cfc87bf826e83523631d39a2a" title="cleanup mduc memory ! " alt="" coords="204,5,372,47"/>
<area shape="rect" id="node3" href="namespacecombust__mduc__data.html#aecc79c7d93602807535bb75d302aa95d" title="combust_mduc_data::\ldestroy_mduc_array" alt="" coords="213,71,363,112"/>
<area shape="rect" id="node4" href="namespacecombust__mduc__data.html#abd82e13356cf913625800c2af08abbeb" title="combust_mduc_data::\linitialize_mduc_array" alt="" coords="420,71,571,112"/>
</map>
</div>

</div>
</div>
<a id="aecc79c7d93602807535bb75d302aa95d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecc79c7d93602807535bb75d302aa95d">&#9670;&nbsp;</a></span>destroy_mduc_array()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_mduc_data::destroy_mduc_array </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcombust__mduc__data_1_1mduc__a__.html">mduc_a_</a>), dimension(:), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>mduc_a</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombust__mduc__data.html#af062877ca87509849017342d36bc76a6">destroy_mduc()</a>.</p>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_cgraph.png" border="0" usemap="#namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_cgraph" alt=""/></div>
<map name="namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_cgraph" id="namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_cgraph">
<area shape="rect" id="node2" href="namespacecombust__mduc__data.html#af062877ca87509849017342d36bc76a6" title="combust_mduc_data::\ldestroy_mduc" alt="" coords="204,5,355,47"/>
</map>
</div>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_icgraph.png" border="0" usemap="#namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_icgraph" alt=""/></div>
<map name="namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_icgraph" id="namespacecombust__mduc__data_aecc79c7d93602807535bb75d302aa95d_icgraph">
<area shape="rect" id="node2" href="namespacecombust__mduc__data.html#abd82e13356cf913625800c2af08abbeb" title="combust_mduc_data::\linitialize_mduc_array" alt="" coords="204,5,355,47"/>
</map>
</div>

</div>
</div>
<a id="abd82e13356cf913625800c2af08abbeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd82e13356cf913625800c2af08abbeb">&#9670;&nbsp;</a></span>initialize_mduc_array()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_mduc_data::initialize_mduc_array </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcombust__mduc__data_1_1mduc__a__.html">mduc_a_</a>), dimension(:), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>mduc_a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>n_mduc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombust__mduc__data.html#aecc79c7d93602807535bb75d302aa95d">destroy_mduc_array()</a>, and <a class="el" href="namespacecombust__mduc__data.html#a7e4e8a4c778c996add3cf94be1ec2f7d">set_default_mduc()</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombust__mduc__data_abd82e13356cf913625800c2af08abbeb_cgraph.png" border="0" usemap="#namespacecombust__mduc__data_abd82e13356cf913625800c2af08abbeb_cgraph" alt=""/></div>
<map name="namespacecombust__mduc__data_abd82e13356cf913625800c2af08abbeb_cgraph" id="namespacecombust__mduc__data_abd82e13356cf913625800c2af08abbeb_cgraph">
<area shape="rect" id="node2" href="namespacecombust__mduc__data.html#aecc79c7d93602807535bb75d302aa95d" title="combust_mduc_data::\ldestroy_mduc_array" alt="" coords="204,5,355,47"/>
<area shape="rect" id="node4" href="namespacecombust__mduc__data.html#a7e4e8a4c778c996add3cf94be1ec2f7d" title="combust_mduc_data::\lset_default_mduc" alt="" coords="204,71,355,112"/>
<area shape="rect" id="node3" href="namespacecombust__mduc__data.html#af062877ca87509849017342d36bc76a6" title="combust_mduc_data::\ldestroy_mduc" alt="" coords="403,5,553,47"/>
</map>
</div>

</div>
</div>
<a id="ac6c11499a49b6879f098c355d39d09b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6c11499a49b6879f098c355d39d09b4">&#9670;&nbsp;</a></span>initialize_mduc_struct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_mduc_data::initialize_mduc_struct </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcombust__mduc__data_1_1mduc__t.html">mduc_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>mduc_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombust__mduc__data.html#a7e4e8a4c778c996add3cf94be1ec2f7d">set_default_mduc()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_cgraph.png" border="0" usemap="#namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_cgraph" alt=""/></div>
<map name="namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_cgraph" id="namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_cgraph">
<area shape="rect" id="node2" href="namespacecombust__mduc__data.html#a7e4e8a4c778c996add3cf94be1ec2f7d" title="combust_mduc_data::\lset_default_mduc" alt="" coords="204,5,355,47"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_icgraph.png" border="0" usemap="#namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_icgraph" alt=""/></div>
<map name="namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_icgraph" id="namespacecombust__mduc__data_ac6c11499a49b6879f098c355d39d09b4_icgraph">
<area shape="rect" id="node2" href="combust__model__rif_8f90.html#a8a04adc66a698f92f6ddf3ae5ac992c5" title="allocate_rif_struct" alt="" coords="204,13,329,39"/>
</map>
</div>

</div>
</div>
<a id="a7e4e8a4c778c996add3cf94be1ec2f7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e4e8a4c778c996add3cf94be1ec2f7d">&#9670;&nbsp;</a></span>set_default_mduc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine combust_mduc_data::set_default_mduc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structcombust__mduc__data_1_1mduc__t.html">mduc_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>mduc_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacecombust__mduc__data.html#a3c2d48c191f0bef03dc46a3a883e279b">type_2dmduc_doran_transf</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacecombust__mduc__data_a7e4e8a4c778c996add3cf94be1ec2f7d_icgraph.png" border="0" usemap="#namespacecombust__mduc__data_a7e4e8a4c778c996add3cf94be1ec2f7d_icgraph" alt=""/></div>
<map name="namespacecombust__mduc__data_a7e4e8a4c778c996add3cf94be1ec2f7d_icgraph" id="namespacecombust__mduc__data_a7e4e8a4c778c996add3cf94be1ec2f7d_icgraph">
<area shape="rect" id="node2" href="namespacecombust__mduc__data.html#ac6c11499a49b6879f098c355d39d09b4" title="combust_mduc_data::\linitialize_mduc_struct" alt="" coords="204,5,355,47"/>
<area shape="rect" id="node4" href="namespacecombust__mduc__data.html#abd82e13356cf913625800c2af08abbeb" title="combust_mduc_data::\linitialize_mduc_array" alt="" coords="204,71,355,112"/>
<area shape="rect" id="node3" href="combust__model__rif_8f90.html#a8a04adc66a698f92f6ddf3ae5ac992c5" title="allocate_rif_struct" alt="" coords="403,13,528,39"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a604b7254ecd7e00f3845ebd587424e1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a604b7254ecd7e00f3845ebd587424e1c">&#9670;&nbsp;</a></span>max_mduc_dim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::max_mduc_dim = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c2d48c191f0bef03dc46a3a883e279b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c2d48c191f0bef03dc46a3a883e279b">&#9670;&nbsp;</a></span>type_2dmduc_doran_transf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_2dmduc_doran_transf = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8b6768ed7de7b63aa425e345e062f5dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b6768ed7de7b63aa425e345e062f5dd">&#9670;&nbsp;</a></span>type_2dmduc_hasse_transf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_2dmduc_hasse_transf = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a888014798f736e39ca01c20f9e6289af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888014798f736e39ca01c20f9e6289af">&#9670;&nbsp;</a></span>type_2dmduc_no_transf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_2dmduc_no_transf = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abe99dfa985081969ca1fd23aad3836eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe99dfa985081969ca1fd23aad3836eb">&#9670;&nbsp;</a></span>type_global_flamelet</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_global_flamelet = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb9c79dbf9216e33f27282826c7913aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb9c79dbf9216e33f27282826c7913aa">&#9670;&nbsp;</a></span>type_local_flamelet</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_local_flamelet = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5eb25b26e0964d20487dec40f7100137"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eb25b26e0964d20487dec40f7100137">&#9670;&nbsp;</a></span>type_mduc_1d_soot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_mduc_1d_soot = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada6d9657b8e60388fb1c860b4404a227"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada6d9657b8e60388fb1c860b4404a227">&#9670;&nbsp;</a></span>type_mduc_2d_soot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_mduc_2d_soot = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a41a37f6cfb6b64b386382714c912a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a41a37f6cfb6b64b386382714c912a8">&#9670;&nbsp;</a></span>type_mduc_chi_f_erfc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_mduc_chi_f_erfc = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7ce8a38cfd954173d97008d3c4264695"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ce8a38cfd954173d97008d3c4264695">&#9670;&nbsp;</a></span>type_mduc_chi_f_log</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_mduc_chi_f_log = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2028c9d33a2cff175a60347258133767"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2028c9d33a2cff175a60347258133767">&#9670;&nbsp;</a></span>type_mduc_chi_f_quad</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_mduc_chi_f_quad = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad39aad0b699d1f91f060fdae554093ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad39aad0b699d1f91f060fdae554093ec">&#9670;&nbsp;</a></span>type_mduc_no_soot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter combust_mduc_data::type_mduc_no_soot = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3657aaa07cc7e19f636a597e3bf50aec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3657aaa07cc7e19f636a597e3bf50aec">&#9670;&nbsp;</a></span>type_pdf_beta</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_beta = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac63b383560e8062531d76f237facb12a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac63b383560e8062531d76f237facb12a">&#9670;&nbsp;</a></span>type_pdf_dirichlet</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_dirichlet = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c7b359d412d469c21f99632aa9ff31c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c7b359d412d469c21f99632aa9ff31c">&#9670;&nbsp;</a></span>type_pdf_gauss</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_gauss = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a20b3f2fb1548ec89f318f46c8c034e8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20b3f2fb1548ec89f318f46c8c034e8b">&#9670;&nbsp;</a></span>type_pdf_independent_beta</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_independent_beta = 6</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8752e8a22e25f876f93fd66640579795"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8752e8a22e25f876f93fd66640579795">&#9670;&nbsp;</a></span>type_pdf_independent_sml</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_independent_sml = 7</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a23c842a76d66f9259005d3d50625406b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23c842a76d66f9259005d3d50625406b">&#9670;&nbsp;</a></span>type_pdf_jbeta</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_jbeta = 5</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0d3be53c267021d8be101c76fc012d25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d3be53c267021d8be101c76fc012d25">&#9670;&nbsp;</a></span>type_pdf_log</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_log = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a352c318533e2f6d8100a2c3746ca60ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a352c318533e2f6d8100a2c3746ca60ed">&#9670;&nbsp;</a></span>type_pdf_sml</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, parameter, public combust_mduc_data::type_pdf_sml = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:50 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
